UwAmp

De Kono Phil Ceci est la tagline
Révision datée du 20 janvier 2022 à 12:54 par Fylip22 (discussion | contributions)
(diff) ← Version précédente | Voir la version actuelle (diff) | Version suivante → (diff)
Aller à la navigation Aller à la recherche

UwAmp est un package de type WAMP regroupant Apache, PHP, MySQL, SQLite et phpMyAdmin qui simplifie la création d'un serveur Web sur Windows afin de développer des sites en PHP. Ce qui caractérise ce package WAMP c'est son interface de gestion permettant de configurer Apache et PHP sans avoir à modifier les fichiers de configuration à la main.

Généralité

Site officiel :

Wikipédia :

UwAmp 3.1.0

UwAmp 3.1.0

  • Apache 2.4.18 (with SSL)
  • MySQL 5.7.11
  • PHP (5.6.18 / 7.0.3) with Xdebug 2.4.0rc4
  • PHPMyAdmin 4.5.4.1
  • SQLite Browser 1.3
  • Xdebug client 1.0b5

Attention :

Microsoft Visual C++ 2017 Redistributable x64 :

Autre source :

Par défaut

  • port de communication : 80
  • php, version :
    • 5.6.18
    • 7.0.3
  • mysql, version : 5.7.11
  • phpmyadmin :

Par défaut, c'est le port 80 qui est utilisé. Pour le changer :

  • Apache Config : main-serveur *:8080

Pour accéder aux bases de données MySQL :

  • compte : root
  • mot de passe : root

MediaWiki

Attention, pour :

  • MediaWiki 1.35.1

Il faut :

  • PHP 7.4.15 en 32 bit !
  • modifier le fichier paramètre php_uwamp.ini :
    • changer la cible des extensions :
      • ancienne valeur : extension=bz2
      • nouvelle valeur : extension=php_bz2.dll

Extension

Coloration syntaxique, sans Python :

Modification du fichier paramètre extension.json pour modifier la thème :

  • utilisation du thème xcode.css au lieu de vs2015.css ;
  • modification de la classe .hljs
    • ancienne valeur : .hljs{display:block;overflow-x:auto;padding:0.5em;background:#fff;}
    • nouvelle valeur : .hljs{display:block;overflow-x:auto;padding:0.5em;background:#eee;color:black;border: 2px solid lightgrey;}

VisualEditor

VisualEditor est paramétré.

Message d'erreur :

Erreur d’accès au serveur Parsoid/RESTBase : http-bad-status
Error contacting the Parsoid/RESTBase server: http-bad-status

Page pour tenter de résoudre le problème :

LA solution a été de :

  1. récupérer la version Apache/2.4.46 (Win32)
  2. copier le contenu de l'archive dans le dossier C:\UwAmp\bin\apache\
    • on retrouve, avec cette version, les librairies libcrypto-1_1.dll, libcurl.dll, libssl-1_1.dll

Voir aussi